Get script
- Base URL
-
https://{kibana_url}
- GET /api/endpoint/scripts_library/{script_id}
- GET /s/{space_id}/api/endpoint/scripts_library/{script_id}
Get a script
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Response
Get script response
-
dataobject -
downloadUristring -
URI to download the script file. Note that this is the relative path and does not include the space (if applicable)
-
instructionsstring -
Instructions for using the script, including details around its supported input arguments
-
pathToExecutablestring -
The relative path to the file included in the archive that should be executed once its contents are extracted. Applicable only for scripts uploaded as an archive (.zip file for example).